{
  "name": "zy-react-library",
  "private": false,
  "version": "1.2.27",
  "type": "module",
  "description": "",
  "author": "LiuJiaNan",
  "license": "MIT",
  "files": [
    "components",
    "css",
    "enum",
    "hooks",
    "json",
    "regular",
    "utils",
    "README.md"
  ],
  "engines": {
    "node": ">=18.0.0"
  },
  "scripts": {
    "build": "rollup -c",
    "build:watch": "rollup -c -w",
    "prepublishOnly": "npm run build",
    "patch": "npm version patch",
    "minor": "npm version minor",
    "publish": "npm publish",
    "postinstall": "echo 'Thanks for using our component library!'"
  },
  "dependencies": {
    "@ahooksjs/use-url-state": "^3.5.1",
    "@ant-design/icons": "^5.6.1",
    "@ant-design/pro-components": "^2.8.10",
    "@cqsjjb/jjb-common-lib": "latest",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-react": "^1.0.6",
    "ahooks": "^3.9.5",
    "antd": "^5.27.6",
    "dayjs": "^1.11.18",
    "lodash-es": "^4.17.21",
    "react": "^18.3.1",
    "react-pdf": "^10.2.0",
    "react-signature-canvas": "^1.1.0-alpha.2",
    "throttle-debounce": "^5.0.2",
    "use-antd-resizable-header": "^3.2.2"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^5.4.1",
    "@babel/core": "^7.28.5",
    "@babel/preset-react": "^7.28.5",
    "@eslint-react/eslint-plugin": "^2.2.2",
    "@rollup/plugin-babel": "^6.1.0",
    "@rollup/plugin-commonjs": "^29.0.0",
    "@rollup/plugin-image": "^3.0.3",
    "@rollup/plugin-json": "^6.1.0",
    "@rollup/plugin-node-resolve": "^16.0.3",
    "@rollup/plugin-terser": "^0.4.4",
    "eslint": "^9.37.0",
    "eslint-plugin-format": "^1.0.2",
    "eslint-plugin-react-hooks": "^7.0.0",
    "eslint-plugin-react-refresh": "^0.4.23",
    "glob": "^13.0.0",
    "rollup": "^4.54.0",
    "typescript": "^5.9.3"
  }
}
